jif.ast

## Class JifArrayAccessAssign_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Expr_c
      - - polyglot.ast.Assign_c
        - - polyglot.ast.ArrayAccessAssign_c
          - - jif.ast.JifArrayAccessAssign_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ast.ArrayAccessAssign, polyglot.ast.Assign, polyglot.ast.Expr, polyglot.ast.ExprOps, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.Typed, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifArrayAccessAssign_c
      extends polyglot.ast.ArrayAccessAssign_c

  A `ArrayAccessAssign_c` represents a Java assignment expression to an array element. For instance, `A[3] = e`. The class of the `Expr` returned by `ArrayAccessAssign_c.left()`is guaranteed to be an `ArrayAccess`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Assign

      `polyglot.ast.Assign.Operator`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Assign_c

      `left, op, right`

    - ### Fields inherited from class polyglot.ast.Expr_c

      `type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Assign

      `ADD_ASSIGN, ASSIGN, BIT_AND_ASSIGN, BIT_OR_ASSIGN, BIT_XOR_ASSIGN, DIV_ASSIGN, MOD_ASSIGN, MUL_ASSIGN, SHL_ASSIGN, SHR_ASSIGN, SUB_ASSIGN, USHR_ASSIGN`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifArrayAccessAssign_c(polyglot.util.Position pos, polyglot.ast.ArrayAccess left, polyglot.ast.Assign.Operator op, polyglot.ast.Expr right)` Deprecated.
    `JifArrayAccessAssign_c(polyglot.util.Position pos, polyglot.ast.ArrayAccess left, polyglot.ast.Assign.Operator op, polyglot.ast.Expr right, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<polyglot.types.Type>` | `throwTypes(polyglot.types.TypeSystem ts)` Deprecated.

    - ### Methods inherited from class polyglot.ast.ArrayAccessAssign_c

      `acceptCFGAssign, acceptCFGOpAssign, firstChild, left, left`

    - ### Methods inherited from class polyglot.ast.Assign_c

      `acceptCFG, childExpectedType, copy, dump, left, operator, operator, operator, precedence, prettyPrint, reconstruct, right, right, right, throwsArithmeticException, toString, typeCheck, visitChildren`

    - ### Methods inherited from class polyglot.ast.Expr_c

      `booleanValue, buildTypes, byteValue, charValue, constantValue, constantValue, constantValueSet, constantValueSet, doubleValue, extRewrite, floatValue, intValue, isConstant, isConstant, isTypeChecked, lastLang, longValue, printSubExpr, printSubExpr, shortValue, stringValue, type, type, type`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypesEnter, checkConstants, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, extRewriteOverride, isDisambiguated, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Assign

      `operator, operator, right, right, throwsArithmeticException`

    - ### Methods inherited from interface polyglot.ast.Expr

      `constantValue, constantValueSet, isConstant, precedence, printSubExpr, printSubExpr, type`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

- - ### Constructor Detail

    - #### JifArrayAccessAssign_c

          public JifArrayAccessAssign_c(polyglot.util.Position pos,
                                        polyglot.ast.ArrayAccess left,
                                        polyglot.ast.Assign.Operator op,
                                        polyglot.ast.Expr right)

      Deprecated.

    - #### JifArrayAccessAssign_c

          public JifArrayAccessAssign_c(polyglot.util.Position pos,
                                        polyglot.ast.ArrayAccess left,
                                        polyglot.ast.Assign.Operator op,
                                        polyglot.ast.Expr right,
                                        polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### throwTypes

          public java.util.List<polyglot.types.Type> throwTypes(polyglot.types.TypeSystem ts)

      Deprecated.
      Specified by:
        `throwTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `throwTypes` in class `polyglot.ast.ArrayAccessAssign_c`